Bug 74396 - safe mode not working in php-4.2.2-8.0.5
safe mode not working in php-4.2.2-8.0.5
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
http://bugs.php.net/bug.php?id=17466
:
: 76974 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-23 10:05 EDT by Joe Orton
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-10 16:48:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2002-09-23 10:05:12 EDT
PHP cannot determine which UID is being used, so safe mode restrictions are always 
applied. e.g.

PHP Warning:  SAFE MODE Restriction in effect.  The script whose uid is -1 is
not allowed to access /...

See URL for link to vendor bug + patch.
Comment 1 Phil Copeland 2002-09-23 16:24:51 EDT
Ah well, least it wasn't my fault this time. 

Fixed in errata-candidate
(php-4.2.2-8.0.6)


Phil
=--=
Comment 2 Joe Orton 2002-11-01 09:26:23 EST
*** Bug 76974 has been marked as a duplicate of this bug. ***
Comment 3 Joe Orton 2002-12-04 03:49:05 EST
Really fixed in php-4.2.2-10.
Comment 4 Mark J. Cox (Product Security) 2003-02-05 03:40:17 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-017.html

Note You need to log in before you can comment on or make changes to this bug.